#pragma once

#include "abstract_tcp_connect.hpp"
#include "reactor.hpp"


namespace tinyrpc { 
    class TcpServer;
    class ServerTcpConnection : AbstractTcpConnection {

    public:
        ServerTcpConnection(int fd, Reactor& reactor, TcpServer& ser);
        ~ServerTcpConnection();
        
    private:
        void process() override;

    private:
        TcpServer& m_server; 

    };

}